Loading...
Searching...
No Matches
RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds > Struct Template Reference

`#include <ROMol.h>`

## Classes

struct | CXXAtomIter

## Public Member Functions

| CXXAtomIterator (Graph *graph)
| CXXAtomIterator (Graph *graph, Iterator start, Iterator end)
CXXAtomIter | begin ()
CXXAtomIter | end ()
size_t | size () const

## Public Attributes

Graph * | graph
Iterator | vstart
Iterator | vend

## Detailed Description

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>
struct RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >

Definition at line 118 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXAtomIterator() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIterator | ( | Graph * | graph | ) |

inline

Definition at line 219 of file ROMol.h.

References graph, vend, and vstart.

## CXXAtomIterator() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIterator | ( | Graph * | graph,
|  | Iterator | start,
|  | Iterator | end )

inline

Definition at line 222 of file ROMol.h.

References end(), graph, vend, and vstart.

## Member Function Documentation

## begin()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::begin | ( |  | ) |

inline

Definition at line 224 of file ROMol.h.

References graph, and vstart.

## end()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::end | ( |  | ) |

inline

Definition at line 225 of file ROMol.h.

References graph, and vend.

Referenced by CXXAtomIterator().

## size()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

size_t RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::size | ( |  | ) | const

inline

Definition at line 226 of file ROMol.h.

References vend, and vstart.

## Member Data Documentation

## graph

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

Graph* RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::graph

Definition at line 119 of file ROMol.h.

Referenced by begin(), CXXAtomIterator(), CXXAtomIterator(), and end().

## vend

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::vend

Definition at line 120 of file ROMol.h.

Referenced by CXXAtomIterator(), CXXAtomIterator(), end(), and size().

## vstart

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::vstart

Definition at line 120 of file ROMol.h.

Referenced by begin(), CXXAtomIterator(), CXXAtomIterator(), and size().

The documentation for this struct was generated from the following file:

- ROMol.h